xAIMar 12, 2026
Grok 4.20 Multi-Agent
Grok 4.20 Multi-Agent is a variant of xAI Grok 4.20 designed for collaborative, agent-based workflows. Multiple agents operate in parallel to conduct deep research, coordinate tool use, and synthesize information across complex tasks.
$1.42/$2.83
per 1M in / out
2M
context window
128K
max output
Quickstart
OpenAI-compatible: point any OpenAI SDK at the Venice base URL with a Venice API key.
curl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "grok-4-20-multi-agent",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }]
}'Base URL
https://api.venice.ai/api/v1Parameters
| Parameter | Values |
|---|---|
model | grok-4-20-multi-agent |
messages | text · image_url |
max_completion_tokens | Up to 128,000 |
response_format | { type: |
stream | true | false |
venice_parameters.enable_web_search | auto | on | off |
venice_parameters.enable_x_search | true | false |
Capabilities
What the model takes in, returns and supports through the API.
InTextImage
OutText
Streaming
Structured outputsstream: trueresponse_formatReasoningAlways onVisionUp to 10 imagesWeb search
enable_web_searchX search
Prompt cachingReads at $0.23enable_x_searchNot supportedfunction calling, video input, audio input and log probabilities
Pricing
Billed per token in USD. Reasoning tokens bill as output.
Input$1.42per 1M tokens
Cached input$0.2384% off input
Output$2.83per 1M tokens
Estimate a workload
$0.0043per request
$42.55for 10,000 requests
Blended price against similar models
Specs
- Model ID
grok-4-20-multi-agent- Endpoint
POST /api/v1/chat/completions- Context window
- 2,000,000 tokens
- Max output
- 128,000 tokens
- Reasoning
- Always on
- Precision
- Not disclosed
- Privacy
- Private
- Weights
- Closed
- Added
- Mar 12, 2026
Compare
| Model | Input | Output |
|---|---|---|
| Grok 4.20 Multi-Agent | $1.42 | $2.83 |
| GPT-5.4 Mini | $0.75 | $4.50 |
| GLM 5 Turbo | $1.20 | $4.00 |
| Qwen 3.5 397B | $0.75 | $4.50 |
| GLM 5 | $1.00 | $3.20 |